Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PREFIX] Solaris binary pkg
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures
View previous topic :: View next topic  
Author Message
WacLaw
n00b
n00b


Joined: 05 Apr 2004
Posts: 3

PostPosted: Mon Jul 16, 2007 10:15 am    Post subject: [PREFIX] Solaris binary pkg Reply with quote

Basing on Bootstrap process for Solaris 10 users I've created some binary packages for Solaris 10 (u3, x86 and sparc) and Solaris 11 (nv 67, x86).
You can download it from: http://sunny.szafa.org/pkg/.

For all packages EPREFIX (install) dir is "/opt/gnu".



emerge --info for Solaris 10 x86
Code:

emerge  --info
Portage 2.2.00.7245-prefix (default-prefix/sunos/solaris/5.10/x86, gcc-4.2.0, unavailable, 5.10 i86pc)
=================================================================
System uname: 5.10 i86pc i386
Gentoo Prefix Base System version 1.12.5
Timestamp of tree: Sat, 14 Jul 2007 03:27:22 +0000
dev-lang/python:     2.4.4-r04.2
dev-python/pycrypto: 2.0.1-r5
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17.50.0.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
ACCEPT_KEYWORDS="x86-solaris ~x86-solaris"
AUTOCLEAN="yes"
CBUILD="i386-pc-solaris2.10"
CFLAGS="-O2 -pipe"
CHOST="i386-pc-solaris2.10"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
DISTDIR="/opt/gnu/usr/portage/distfiles"
EPREFIX="/opt/gnu"
FEATURES="collision-protect distlocks metadata-transfer nostrip sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/opt/gnu/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/opt/gnu/var/tmp"
PORTDIR="/opt/gnu/usr/portage"
SYNC="svn+http://overlays.gentoo.org/svn/proj/alt/trunk/prefix-overlay"
USE="midi ncurses nls prefix readline ssl unicode x86-solaris zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="SunOS" INPUT_DEVICES="keyboard mouse" KERNEL="SunOS" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="Solaris"
Unset:  CTARGET, CXXFLAGS, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


emerge --info for Solaris 10 sparc
Code:

emerge  --info
Portage 2.2.00.7245-prefix (default-prefix/sunos/solaris/5.10/sparc, gcc-4.2.0, unavailable, 5.10 sun4u)
=================================================================
System uname: 5.10 sun4u sparc
Gentoo Prefix Base System version 1.12.5
Timestamp of tree: Sat, 14 Jul 2007 12:41:01 +0000
dev-lang/python:     2.4.4-r04.2
dev-python/pycrypto: 2.0.1-r5
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17.50.0.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
ACCEPT_KEYWORDS="sparc-solaris ~sparc-solaris"
AUTOCLEAN="yes"
CBUILD="sparc-sun-solaris2.10"
CFLAGS="-O2 -pipe"
CHOST="sparc-sun-solaris2.10"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
DISTDIR="/opt/gnu/usr/portage/distfiles"
EPREFIX="/opt/gnu"
FEATURES="collision-protect distlocks metadata-transfer nostrip sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/opt/gnu/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/opt/gnu/var/tmp"
PORTDIR="/opt/gnu/usr/portage"
SYNC="svn+http://overlays.gentoo.org/svn/proj/alt/trunk/prefix-overlay"
USE="midi ncurses nls prefix readline sparc-solaris ssl unicode zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="SunOS" INPUT_DEVICES="keyboard mouse" KERNEL="SunOS" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="Solaris"
Unset:  CTARGET, CXXFLAGS, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


emerge --info for Solaris 11 x86
Code:

emerge  --info
Portage 2.2.00.7245-prefix (default-prefix/sunos/solaris/5.11/x86, gcc-4.2.0, unavailable, 5.11 i86pc)
=================================================================
System uname: 5.11 i86pc i386
Gentoo Prefix Base System version 1.12.5
Timestamp of tree: Mon, 16 Jul 2007 06:50:17 +0000
dev-lang/python:     2.4.4-r04.2
dev-python/pycrypto: 2.0.1-r5
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17.50.0.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
ACCEPT_KEYWORDS="x86-solaris ~x86-solaris"
AUTOCLEAN="yes"
CBUILD="i386-pc-solaris2.11"
CFLAGS="-O2 -pipe"
CHOST="i386-pc-solaris2.11"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
DISTDIR="/opt/gnu/usr/portage/distfiles"
EPREFIX="/opt/gnu"
FEATURES="buildpkg collision-protect distlocks keeptemp keepwork metadata-transfer noclean nostrip sfperms strict unmerge-orphans"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
MAKEOPTS="-j 2"
PKGDIR="/opt/gnu/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/opt/gnu/var/tmp"
PORTDIR="/opt/gnu/usr/portage"
SYNC="svn+http://overlays.gentoo.org/svn/proj/alt/trunk/prefix-overlay"
USE="cracklib midi ncurses prefix readline ssl x86-solaris zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="SunOS" INPUT_DEVICES="keyboard mouse" KERNEL="SunOS" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="Solaris"
Unset:  CTARGET, CXXFLAGS, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


Packages installed:
Code:

app-admin/perl-cleaner-1.04.3
app-admin/python-updater-0.2
app-arch/bzip2-1.0.4
app-arch/cpio-2.9
app-arch/gzip-1.3.12
app-arch/tar-1.18-r1
app-editors/nano-2.0.6
app-misc/ca-certificates-20070303-r1
app-shells/bash-3.2_p17-r00.1
dev-lang/perl-5.8.8-r2
dev-lang/python-2.4.4-r04.2
dev-libs/apr-1.2.8
dev-libs/apr-util-1.2.8-r1
dev-libs/expat-2.0.0
dev-libs/libiconv-1.11
dev-libs/libxml2-2.6.28
dev-libs/openssl-0.9.8e-r1
dev-libs/popt-1.10.7
dev-perl/Locale-gettext-1.05
dev-python/pycrypto-2.0.1-r5
dev-python/python-fchksum-1.7.1
dev-util/pkgconfig-0.21-r1
dev-util/subversion-1.4.4-r2
net-misc/neon-0.26.3
net-misc/openssh-4.6_p1-r2
net-misc/rsync-2.6.9-r2
net-misc/wget-1.10.2
perl-core/PodParser-1.35
perl-core/Test-Harness-2.64
sys-apps/baselayout-prefix-1.12.5-r4
sys-apps/coreutils-6.9-r1
sys-apps/debianutils-2.22.1
sys-apps/diffutils-2.8.7-r2
sys-apps/file-4.21-r1
sys-apps/findutils-4.3.8
sys-apps/gawk-3.1.5-r03.1
sys-apps/grep-2.5.1a-r1
sys-apps/groff-1.19.2-r1
sys-apps/help2man-1.36.4
sys-apps/less-406
sys-apps/man-1.6e-r3
sys-apps/mktemp-1.5
sys-apps/portage-2.2.00.7245
sys-apps/sed-4.1.5
sys-apps/texinfo-4.8-r5
sys-apps/which-2.16
sys-devel/autoconf-2.61-r1
sys-devel/autoconf-wrapper-4-r3
sys-devel/automake-1.10
sys-devel/automake-wrapper-3-r1
sys-devel/binutils-2.17.50.0.17
sys-devel/binutils-config-1.9-r4
sys-devel/bison-2.3
sys-devel/flex-2.5.33-r2
sys-devel/gcc-4.2.0
sys-devel/gcc-config-1.3.16
sys-devel/gettext-0.16.1-r1
sys-devel/gnuconfig-20070118
sys-devel/libperl-5.8.8-r1
sys-devel/libtool-1.5.24
sys-devel/m4-1.4.9-r1
sys-devel/make-3.81
sys-devel/patch-2.5.9-r1
sys-libs/db-4.5.20_p2
sys-libs/ncurses-5.5-r03.2
sys-libs/readline-5.2_p4-r00.1
sys-libs/zlib-1.2.3-r01.1
virtual/libiconv-0
virtual/libintl-0


Have fun :D
_________________
--
http://szafa.szafa.org
Back to top
View user's profile Send private message
x11perf
n00b
n00b


Joined: 30 Jul 2005
Posts: 10

PostPosted: Wed Aug 29, 2007 10:31 am    Post subject: Re: [PREFIX] Solaris binary pkg Reply with quote

WacLaw wrote:
Basing on Bootstrap process for Solaris 10 users I've created some binary packages for Solaris 10 (u3, x86 and sparc) and Solaris 11 (nv 67, x86).
You can download it from: http://sunny.szafa.org/pkg/.

For all packages EPREFIX (install) dir is "/opt/gnu".

Have fun :D


Great!
But it seems your prefix portage dos not has the emerge command?
GNTOprfx-x86-5.11 ...
Back to top
View user's profile Send private message
grobian
Developer
Developer


Joined: 31 May 2006
Posts: 67

PostPosted: Mon Jun 02, 2008 8:45 am    Post subject: Re: [PREFIX] Solaris binary pkg Reply with quote

WacLaw wrote:
Basing on Bootstrap process for Solaris 10 users I've created some binary packages for Solaris 10 (u3, x86 and sparc) and Solaris 11 (nv 67, x86).
You can download it from: http://sunny.szafa.org/pkg/.

For all packages EPREFIX (install) dir is "/opt/gnu".
Have fun :D


Cool! However, this means you already fixed perl for Solaris 11 before I did (last week). You might have a better fix than I do. Anyway, for Solaris 10 we also have various binpkgs here:
http://tinderbox.dev.gentoo.org/default-prefix/sunos/solaris/5.10/

I see you have huge tars for grabs, haven't looked into them yet, but looks quite cool. Maybe we can combine some efforts. If you're interested, please drop me an email, or on the gentoo-alt mailing list.
_________________
Gentoo on a different level
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Fri Jan 30, 2009 8:53 pm    Post subject: Reply with quote

Hi!

I'm interested in porting packages to Solaris, but I have too many problems in just bootstrapping Portage :( I'm using Solaris 10u6 for this one....

I hope I'm not alone out there - and that I will get some help when i get into trouble...
_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Fri Jan 30, 2009 9:31 pm    Post subject: Reply with quote

OK here's my first problem....

Code:
# env
# env
_=/usr/bin/env
USE=-nls -berkdb -gdbm -fortran -ssl
HOSTCC=gcc -m64
CXX=g++ -m64
CC=gcc -m64
CPPFLAGS=-I/opt/gentoo/usr/include
LDFLAGS=-L/opt/gentoo/usr/lib -R/opt/gentoo/usr/lib -L/opt/gentoo/lib -R/opt/gentoo/lib -L/usr/sfw/lib/64 -R/usr/sfw/lib/64
EPREFIX=/opt/gentoo
OLDPWD=/root
PWD=/root
SHLVL=1
HOME=/root
HZ=
LOGNAME=root
MAIL=/var/mail/root
PATH=/usr/sbin:/usr/bin:/opt/gentoo/usr/bin:/opt/gentoo/bin:/opt/gentoo/tmp/usr/bin:/opt/gentoo/tmp/bin:/usr/sfw/bin:/usr/sfw/i386-sun-solaris2.10/bin:/usr/ccs/bin
SHELL=/sbin/sh
TERM=xterm
TZ=Europe/Zagreb


Code:
/bin/bash /opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1/binutils/../ylwrap /opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1/binutils/arlex.l lex.yy.c arlex.c -- flex 
gcc -m64 -DHAVE_CONFIG_H -I. -I/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1/binutils -I. -I. -I/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1/binutils -I../bfd -I/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1/binutils/../bfd -I/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1/binutils/../include -DLOCALEDIR="\"/opt/gentoo/usr/share/binutils-data/i386-pc-solaris2.10/2.19.50.0.1/locale\"" -Dbin_dummy_emulation=bin_vanilla_emulation  -I/opt/gentoo/usr/include -W -Wall -Wstrict-prototypes -Wmissing-prototypes  -c arlex.c
arlex.l: In function `yylex':
arlex.l:44: error: `ADDLIB' undeclared (first use in this function)
arlex.l:44: error: (Each undeclared identifier is reported only once
arlex.l:44: error: for each function it appears in.)
arlex.l:45: error: `ADDMOD' undeclared (first use in this function)
arlex.l:46: error: `CLEAR' undeclared (first use in this function)
arlex.l:47: error: `CREATE' undeclared (first use in this function)
arlex.l:48: error: `DELETE' undeclared (first use in this function)
arlex.l:49: error: `DIRECTORY' undeclared (first use in this function)
arlex.l:50: error: `END' undeclared (first use in this function)
arlex.l:51: error: `EXTRACT' undeclared (first use in this function)
arlex.l:52: error: `FULLDIR' undeclared (first use in this function)
arlex.l:53: error: `HELP' undeclared (first use in this function)
arlex.l:54: error: `LIST' undeclared (first use in this function)
arlex.l:55: error: `OPEN' undeclared (first use in this function)
arlex.l:56: error: `REPLACE' undeclared (first use in this function)
arlex.l:57: error: `VERBOSE' undeclared (first use in this function)
arlex.l:58: error: `SAVE' undeclared (first use in this function)
arlex.l:79: error: `yylval' undeclared (first use in this function)
arlex.l:80: error: `FILENAME' undeclared (first use in this function)
arlex.l:85: error: `NEWLINE' undeclared (first use in this function)
arlex.c: In function `yy_get_next_buffer':
arlex.c:1272: warning: comparison between signed and unsigned
arlex.c: At top level:
arlex.c:1866: warning: no previous prototype for 'yyget_lineno'
arlex.c:1875: warning: no previous prototype for 'yyget_in'
arlex.c:1883: warning: no previous prototype for 'yyget_out'
arlex.c:1891: warning: no previous prototype for 'yyget_leng'
arlex.c:1900: warning: no previous prototype for 'yyget_text'
arlex.c:1909: warning: no previous prototype for 'yyset_lineno'
arlex.c:1921: warning: no previous prototype for 'yyset_in'
arlex.c:1926: warning: no previous prototype for 'yyset_out'
arlex.c:1931: warning: no previous prototype for 'yyget_debug'
arlex.c:1936: warning: no previous prototype for 'yyset_debug'
arlex.c:1970: warning: no previous prototype for 'yylex_destroy'
arlex.c:1364: warning: 'yyunput' defined but not used
make[4]: *** [arlex.o] Error 1
make[4]: Leaving directory `/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/build/binutils'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/build/binutils'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/build/binutils'
make[1]: *** [all-binutils] Error 2
make[1]: Leaving directory `/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/build'
make: *** [all] Error 2
 * ERROR: sys-devel/binutils-2.19.50.0.1 failed:
 *   emake failed
 *
 * Call stack:
 *               ebuild.sh:  49: <call src_compile>
 *             environment:2857: <call toolchain-binutils_src_compile>
 *             environment:3493:     emake all || die "emake failed";
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * build log: '/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/temp/build.log'
 * ebuild environment: '/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/temp/environment'
 * S: '/opt/gentoo/var/tmp/portage/sys-devel/binutils-2.19.50.0.1/work/binutils-2.19.50.0.1'

_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sat Jan 31, 2009 10:51 pm    Post subject: Reply with quote

OK, binutils is solved thisway:
Code:
# emerge --oneshot --nodeps "=binutils-2.18-r3"


But now, same yy-problem with gcc-4.1.2 :(
_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sat Jan 31, 2009 11:41 pm    Post subject: Reply with quote

OK, here it goes:

Code:
bison: subsidiary program `gm4' failed (exit status 1)
make[2]: [treelang/parse.h] Error 1 (ignored)
stage1/xgcc -Bstage1/ -B/opt/gentoo/usr/i386-pc-solaris2.10/bin/ -c   -g -O2 -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wno-variadic-macros -Wold-style-definition -Wmissing-format-attribute     -DHAVE_CONFIG_H -I. -Itreelang -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/../include -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/../libcpp/include  -I/opt/gentoo/usr/include   /opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/treetree.c -o treelang/treetree.o
stage1/xgcc -Bstage1/ -B/opt/gentoo/usr/i386-pc-solaris2.10/bin/ -c   -g -O2 -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wno-variadic-macros -Wold-style-definition -Wmissing-format-attribute     -DHAVE_CONFIG_H -I. -Itreelang -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/../include -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/../libcpp/include  -I/opt/gentoo/usr/include   /opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/tree-convert.c -o treelang/tree-convert.o
flex  -otreelang/lex.c /opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l
stage1/xgcc -Bstage1/ -B/opt/gentoo/usr/i386-pc-solaris2.10/bin/ -c   -g -O2 -DIN_GCC   -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic -Wno-long-long -Wno-variadic-macros -Wold-style-definition -Wmissing-format-attribute   -Wno-error  -DHAVE_CONFIG_H -I. -Itreelang -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/../include -I/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/../libcpp/include  -I/opt/gentoo/usr/include   treelang/lex.c -o treelang/lex.o
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:44:19: error: parse.h: No such file or directory
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l: In function 'yylex':
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:79: error: 'yylval' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:79: error: (Each undeclared identifier is reported only once
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:79: error: for each function it appears in.)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:88: error: 'WHITESPACE' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:94: error: 'COMMENT' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:99: error: 'LEFT_BRACE' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:104: error: 'RIGHT_BRACE' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:109: error: 'LEFT_PARENTHESIS' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:114: error: 'RIGHT_PARENTHESIS' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:119: error: 'COMMA' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:124: error: 'SEMICOLON' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:129: error: 'tl_PLUS' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:134: error: 'tl_MINUS' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:139: error: 'ASSIGN' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:144: error: 'EQUALS' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:149: error: 'INTEGER' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:154: error: 'EXTERNAL_REFERENCE' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:159: error: 'EXTERNAL_DEFINITION' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:164: error: 'STATIC' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:169: error: 'AUTOMATIC' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:174: error: 'INT' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:179: error: 'CHAR' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:184: error: 'VOID' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:189: error: 'UNSIGNED' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:194: error: 'tl_RETURN' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:199: error: 'IF' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:204: error: 'ELSE' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:209: error: 'NAME' undeclared (first use in this function)
treelang/lex.c: In function 'yy_get_next_buffer':
treelang/lex.c:1303: warning: comparison between signed and unsigned
treelang/lex.c: At top level:
treelang/lex.c:1860: warning: no previous prototype for 'yyget_lineno'
treelang/lex.c:1869: warning: no previous prototype for 'yyget_in'
treelang/lex.c:1877: warning: no previous prototype for 'yyget_out'
treelang/lex.c:1885: warning: no previous prototype for 'yyget_leng'
treelang/lex.c:1894: warning: no previous prototype for 'yyget_text'
treelang/lex.c:1903: warning: no previous prototype for 'yyset_lineno'
treelang/lex.c:1915: warning: no previous prototype for 'yyset_in'
treelang/lex.c:1920: warning: no previous prototype for 'yyset_out'
treelang/lex.c:1925: warning: no previous prototype for 'yyget_debug'
treelang/lex.c:1930: warning: no previous prototype for 'yyset_debug'
treelang/lex.c:1964: warning: no previous prototype for 'yylex_destroy'
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l: In function 'update_lineno_charno':
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:240: error: 'yylval' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l: In function 'update_yylval':
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:267: error: 'yylval' undeclared (first use in this function)
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l: In function 'dump_lex_value':
/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/gcc/treelang/lex.l:286: error: 'yylval' undeclared (first use in this function)
make[2]: *** [treelang/lex.o] Error 1
make[2]: Leaving directory `/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/build/gcc'
make[1]: *** [stage2_build] Error 2
make[1]: Leaving directory `/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/build/gcc'
make: *** [bootstrap-lean] Error 2
 * ERROR: sys-devel/gcc-4.1.2 failed:
 *   emake failed with bootstrap-lean
 *
 * Call stack:
 *               ebuild.sh:  49: <call src_compile>
 *             environment:4762: <call gcc_src_compile>
 *             environment:3012: <call gcc_do_make>
 *             environment:2835:     emake LDFLAGS="${LDFLAGS}" STAGE1_CFLAGS="${STAGE1_CFLAGS}" LIBPATH="${LIBPATH}" BOOT_CFLAGS="${BOOT_CFLAGS}" ${GCC_MAKE_TARGET} || die "emake failed with ${GCC_MAKE_TARGET}";
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * build log: '/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/temp/build.log'
 * ebuild environment: '/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/temp/environment'
 * S: '/opt/gentoo/var/tmp/portage/sys-devel/gcc-4.1.2/work/build'

_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sun Feb 01, 2009 12:14 am    Post subject: Reply with quote

OK, with the help od #gentoo-prefix IRC channel. I've solved this one :)
Code:
# emerge --oneshot --nodeps lzma-utils
# emerge --oneshot --nodeps m4
# emerge --oneshot --nodeps bison
# emerge --oneshot --nodeps gcc


voila!
_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sun Feb 01, 2009 11:24 am    Post subject: Reply with quote

Yet another problem... emerge -u system this time:
Code:
echo ".so man1/bzdiff.1" > /opt/gentoo/var/tmp/portage/app-arch/bzip2-1.0.5-r1/image//opt/gentoo/usr/share/man/man1/bzcmp.1
chmod: cannot access `/opt/gentoo/var/tmp/portage/app-arch/bzip2-1.0.5-r1/image/opt/gentoo//opt/gentoo/usr/lib/libbz2.so': No such file or directory
 * ERROR: app-arch/bzip2-1.0.5-r1 failed:
 *   could not change perms on libbz2.so
 *
 * Call stack:
 *               ebuild.sh:  49: <call src_install>
 *             environment:2513: <call gen_usr_ldscript 'libbz2.so'>
 *             environment:1454:                 fperms a+x "${EPREFIX}/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"
 *
 * If you need support, post the topmost build error, and the call stack if relevant.

>>> Failed to emerge app-arch/bzip2-1.0.5-r1, Log file:

>>>  '/opt/gentoo/var/tmp/portage/app-arch/bzip2-1.0.5-r1/temp/build.log'

 * Messages for package app-arch/bzip2-1.0.5-r1:

 * ERROR: app-arch/bzip2-1.0.5-r1 failed:
 *   could not change perms on libbz2.so
 *
 * Call stack:
 *               ebuild.sh:  49: <call src_install>
 *             environment:2513: <call gen_usr_ldscript 'libbz2.so'>
 *             environment:1454:                 fperms a+x "${EPREFIX}/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"
 *
 * If you need support, post the topmost build error, and the call stack if relevant.


I guess I'll be seeing a lot of this one... Same error, other package:

Code:
/opt/gentoo/usr/bin/install -c -m 644 ./iconvctl.3.html /opt/gentoo/var/tmp/portage/dev-libs/libiconv-1.12/image//opt/gentoo/usr/share/doc/libiconv-1.12/html/iconvctl.3.html
make[1]: Leaving directory `/opt/gentoo/var/tmp/portage/dev-libs/libiconv-1.12/work/libiconv-1.12/man'
chmod: cannot access `/opt/gentoo/var/tmp/portage/dev-libs/libiconv-1.12/image/opt/gentoo//opt/gentoo/usr/lib/libiconv.so': No such file or directory
 * ERROR: dev-libs/libiconv-1.12 failed:
 *   could not change perms on libiconv.so
 *
 * Call stack:
 *               ebuild.sh:  49: <call src_install>
 *             environment:2972: <call gen_usr_ldscript 'libiconv.so'>
 *             environment:1949:                 fperms a+x "${EPREFIX}/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"
 *
 * If you need support, post the topmost build error, and the call stack if relevant.

>>> Failed to emerge dev-libs/libiconv-1.12, Log file:

>>>  '/opt/gentoo/var/tmp/portage/dev-libs/libiconv-1.12/temp/build.log'

 * Messages for package dev-libs/libiconv-1.12:

 * ERROR: dev-libs/libiconv-1.12 failed:
 *   could not change perms on libiconv.so
 *
 * Call stack:
 *               ebuild.sh:  49: <call src_install>
 *             environment:2972: <call gen_usr_ldscript 'libiconv.so'>
 *             environment:1949:                 fperms a+x "${EPREFIX}/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"
 *
 * If you need support, post the topmost build error, and the call stack if relevant.

 * GNU info directory index is up-to-date.

_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sun Feb 01, 2009 11:50 am    Post subject: Reply with quote

Again #gentoo-prefix saves the day. Solution is to patch $EPREFIX/usr/portage/eclass/toolchain-funcs.eclass, like this:
Code:
@@ -519,7 +523,7 @@
          ${output_format}
          GROUP ( ${EPREFIX}/${libdir}/${tlib} )
          END_LDSCRIPT
-         fperms a+x "${EPREFIX}/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"
+         fperms a+x "/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"
          ;;
       esac
       fperms a+x "/usr/${libdir}/${lib}" || die "could not change perms on ${lib}"

_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sun Feb 01, 2009 12:22 pm    Post subject: Reply with quote

Another problem and another patch... Portage was incorrectly using groupadd/useradd commands, so none of the programs that need that commands could not emerge. Here is the patch:
Code:
--- /opt/gentoo/usr/portage/eclass/eutils.eclass   Mon Feb  9 10:50:20 2009
+++ /opt/gentoo/usr/portage/eclass/eutils.eclass   Mon Feb  9 10:55:26 2009
@@ -613,6 +613,17 @@
             -g ${egroups} ${euser} "$@" || die "enewuser failed"
       fi
       ;;
+   
+   *-solaris*)
+      if [[ -z $@ ]] ; then
+         /usr/sbin/useradd -c "added by portage for ${PN}" ${opts} ${euser} \
+         || die "enewuser failed"
+      else
+         einfo " - Extra: $@"
+         /usr/sbin/useradd ${opts} ${euser} "$@" \
+         || die "enewuser failed"
+      fi
+      ;;
 
    *)
       if [[ -z $@ ]] ; then
@@ -748,7 +759,9 @@
       esac
       groupadd -g ${egid} ${egroup} || die "enewgroup failed"
       ;;
-
+   *-solaris*)
+      /usr/sbin/groupadd ${opts} ${egroup} || die "enewgroup failed"
+      ;;
    *)
       groupadd ${opts} ${egroup} || die "enewgroup failed"
       ;;


edit: put up a better patch

PS.: this one could even be added to the main tree, don't you think guys?
_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jsosic
Guru
Guru


Joined: 02 Aug 2004
Posts: 510
Location: Split (Croatia)

PostPosted: Sat Feb 14, 2009 11:39 pm    Post subject: Reply with quote

OK, I've did it :) finally, x64 prefix for Solaris 10 :)
_________________
I avenge with darkness, the blood is the life
The Order of the Dragon, I feed on human life
Back to top
View user's profile Send private message
jean-michel
Tux's lil' helper
Tux's lil' helper


Joined: 30 May 2002
Posts: 142
Location: Somewhere East of the Atlantic

PostPosted: Wed Jan 20, 2010 5:53 pm    Post subject: Weird 64-bit solaris (sparc and x86) errors Reply with quote

Hi,

Anyone manage to get a 64-bit gentoo prefix going for stock Solaris 10 bootstrapping with stock gcc? I'm following the Solaris 10 bootstrap instruction at http://www.gentoo.org/proj/en/gentoo-alt/prefix/bootstrap-solaris.xml, and everything seems to work fine until I attempt to emerge binutils, at which point things get ugly:

Code:
$ gcc --version
gcc (GCC) 3.4.3 (csl-sol210-3_4-branch+sol_rpath)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

$ emerge --oneshot --nodeps binutils
...
too many of these to post, so I'm just including the last few.
...
memcmp                              0x65a4      /usr/sfw/lib/64/libiberty.a(cplus-dem.o)
memcmp                              0x6608      /usr/sfw/lib/64/libiberty.a(cplus-dem.o)
memcmp                              0x6774      /usr/sfw/lib/64/libiberty.a(cplus-dem.o)
memcmp                              0x6950      /usr/sfw/lib/64/libiberty.a(cplus-dem.o)
memcmp                              0x69e8      /usr/sfw/lib/64/libiberty.a(cplus-dem.o)
memcmp                              0x99c       /usr/sfw/lib/64/libiberty.a(cp-demangle.o)
strdup                              0x10        /usr/sfw/lib/64/libiberty.a(lrealpath.o)
ld: fatal: relocations remain against allocatable but non-writable sections
collect2: ld returned 1 exit status
make[4]: *** [libbfd.la] Error 1
make[4]: Leaving directory `/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/work/build/bfd'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/work/build/bfd'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/work/build/bfd'
make[1]: *** [all-bfd] Error 2
make[1]: Leaving directory `/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/work/build'
make: *** [all] Error 2
 * ERROR: sys-devel/binutils-2.20.51.0.4 failed:
 *   emake failed
 *
 * Call stack:
 *     ebuild.sh, line   61:  Called src_compile
 *   environment, line 7740:  Called toolchain-binutils_src_compile
 *   environment, line 8444:  Called die
 * The specific snippet of code:
 *       emake all || die "emake failed";
 *
 * If you need support, post the output of 'emerge --info =sys-devel/binutils-2.20.51.0.4',
 * the complete build log and the output of 'emerge -pqv =sys-devel/binutils-2.20.51.0.4'.
 * The complete build log is located at '/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/temp/build.log'.
 * The ebuild environment file is located at '/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/temp/environment'.
 * S: '/export/apps/fx/gentoo/var/tmp/portage/sys-devel/binutils-2.20.51.0.4/work/binutils-2.20.51.0.4'



Code:
=================================================================
                        System Settings
=================================================================
System uname: Solaris-2.10-sun4us-sparc-32bit-ELF
Timestamp of tree: Mon, 04 Jan 2010 22:46:55 +0000
app-shells/bash:     4.0_p35
ACCEPT_KEYWORDS="~sparc64-solaris"
ACCEPT_LICENSE="* -@EULA"
CBUILD="sparcv9-sun-solaris2.10"
CFLAGS=""
CHOST="sparcv9-sun-solaris2.10"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/terminfo"
CPPFLAGS="-I/export/apps/fx/gentoo/usr/include"
CXXFLAGS=""
DISTDIR="/export/apps/fx/gentoo/usr/portage/distfiles"
FEATURES="assume-digests collision-protect distlocks fixpackages news nostrip parallel-fetch preserve-libs protect-owned sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-L/export/apps/fx/gentoo/usr/lib -R/export/apps/fx/gentoo/usr/lib -L/export/apps/fx/gentoo/lib -R/export/apps/fx/gentoo/lib -L/usr/sfw/lib/64 -R/usr/sfw/lib/64"
PKGDIR="/export/apps/fx/gentoo/usr/portage/packages"
PORTAGE_CONFIGROOT="/export/apps/fx/gentoo/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/export/apps/fx/gentoo/var/tmp"
PORTDIR="/export/apps/fx/gentoo/usr/portage"
SYNC="rsync://rsync.prefix.freens.org/gentoo-portage-prefix"
USE="cracklib cxx modules ncurses prefix readline sparc64-solaris zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="SunOS" INPUT_DEVICES="keyboard mouse" KERNEL="SunOS" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


I've tried this with and without USE="pic", with the same results.

Edit: I know portage seems to identify this as a 32-bit system, but it is definitely 64-bit, and I have managed to compile 64-bit binaries by hand (albeit not gcc).

Code:
isainfo -v
64-bit sparcv9 applications
        fjfmau vis2 vis
32-bit sparc applications
        fjfmau vis2 vis v8plus div32 mul32


I would be grateful for any help!

Update: emerge --oneshot --nodeps =binutils-2.19.1-r01.1 works with USE="pic" (may also work without, I will try that as well to verify). The problem appears to be compiling binutils-2.20.51.0.4 with such an old gcc (and sun ld). Very promising -- I will post a full workaround once I've confirmed the bootstrap works start-to-finish.

thanks,

Jean.
_________________
The Struggle for the Future of Human Evolution Begins: Autonomy the SciFi Series!
Back to top
View user's profile Send private message
keymon
n00b
n00b


Joined: 02 Aug 2011
Posts: 7

PostPosted: Tue Aug 02, 2011 8:05 pm    Post subject: Re: Weird 64-bit solaris (sparc and x86) errors Reply with quote

I had a similar problem with ld, the same error. Using emerge --oneshot --nodeps =binutils-2.19.1-r01.1 works.

Thanks.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Alternative Architectures All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum